
<table id="xptContentInner" cellSpacing="0" cellPadding="0" align="center" border="0">
  <tbody>
    <tr vAlign="top">
      <td>

          <table cellPadding="1" align="center">
            <tbody>
              <tr>
                <td>Subscriptions and Recurring
                  Payments Variables</td>
              </tr>
              <tr>
                <td><span class="emphasis">Reattempt on Failure</span><br>
                  If you choose &quot;yes&quot; for this option and the payment
                  fails, the payment will be reattempted two more times. After
                  the third failure, the subscription will be cancelled. If you
                  choose &quot;no&quot; and the payment fails, payment will not
                  be reattempted and the subscription will be immediately
                  cancelled. Please see the Help Center for more information.<br>
                  <br>
                  <p><span class="emphasis">Trial Periods</span><br>
                  You may enter up to two trial periods and rates for your
                  subscription. To create a free trial period, enter an amount
                  of 0. Trial periods can be entered as a number of days, weeks,
                  months, or years.<br>
                  Example: Your subscription may be free for the first week, and
                  $5.00 USD for the first two months after that.<br>
                  In <span class="emphasis">Trial Period</span> #1, you would
                  enter:
                  <ul>
                    <li>Bill the subscriber now for $0.00 USD
                    <li>This trial period should last 1 week</li>
                  </ul>
                  In <span class="emphasis">Trial Period</span> #2, you would
                  enter:
                  <ul>
                    <li>Then bill the subscriber for $5.00 USD
                    <li>This trial period should last 2 months</li>
                  </ul>
                  <span class="emphasis">Recurring Basis</span><br>
                  Select &quot;Yes&quot; if you would like your subscribers to
                  be billed on a recurring basis. This means that after the
                  Billing Cycle entered above is complete, your subscribers'
                  subscriptions will be automatically renewed unless a
                  subscriber manually cancels his subscription. If you select
                  &quot;No,&quot; your subscriber's subscriptions will end after
                  the first cycle is completed.<br>
                  Example: Your subscription is $50.00 USD per year.
                  <ul>
                    <li>In Subscription Price, you would enter: Bill the
                      subscriber for $50.00 USD
                    <li>For &quot;recurring basis&quot; you would select: Yes
                    <li>For &quot;length of each billing cycle,&quot; you would
                      enter: 1 year</li>
                  </ul>
                  <span class="emphasis">Billing Cycle</span><br>
                  This is the length of each billing cycle. If the rate recurs,
                  payments will be made on this time period. Billing cycles can
                  be entered as a number of days, weeks, months, or years.<br>
                  <br>
                  Definition of Units:
                  <ul>
                    <li>Days
                    <li>Week = 7 days
                    <li>Month = calendar month (same day of the month)
                    <li>Year = calendar year (same day of the year)</li>
                  </ul>
                </td>
              </tr>
              <tr>
                <td>Below are additional variables that are used for Instant
                  Payment Notifications for Subscriptions and Recurring
                  Payments. For more information, see the <a href="https://www.paypal.com/en_US/pdf/subscriptions.pdf">Subscriptions
                  and Recurring Payments Manual</a> (PDF 636K / 52 pages) and
                  the <a href="https://www.paypal.com/en_US/pdf/integration_guide.pdf">Integration
                  Guide</a> (PDF 1 MB / 175 pages).</td>
              </tr>
            </tbody>
          </table>
          <table cellPadding="1" align="center" bgColor="#aaaaaa">
            <tbody>
              <tr>
                <td>
                  <table cellSpacing="1" cellPadding="6" width="100%">
                    <tbody>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#eeeeee">Variable</td>
                        <td class="small" vAlign="top" bgColor="#eeeeee"><span class="emphasis">Value</span></td>
                        <td class="small" vAlign="top" bgColor="#eeeeee"><span class="emphasis">Description</span></td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff" rowSpan="6">txn_type</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;subscr_signup&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">This
                          Instant Payment Notification is for a subscription
                          sign-up.</td>
                      </tr>
                      <tr>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;subscr_cancel&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">This
                          Instant Payment Notification is for a subscription
                          cancellation.</td>
                      </tr>
                      <tr>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;subscr_modify&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">This
                          Instant Payment Notification is for a subscription
                          modification.</td>
                      </tr>
                      <tr>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;subscr_failed&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">This
                          Instant Payment Notification is for a subscription
                          payment failure.</td>
                      </tr>
                      <tr>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;subscr_payment&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">This
                          Instant Payment Notification is for a subscription
                          payment.</td>
                      </tr>
                      <tr>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;subscr_eot&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">This
                          Instant Payment Notification is for a subscription's
                          end of term.</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">subscr_date</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Start
                          date or cancellation date depending on whether
                          transaction is &quot;subscr_signup&quot; or
                          &quot;subscr_cancel&quot;</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">subscr_effective</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Date
                          when the subscription modification will be effective
                          (only for txn_type = subscr_modify)</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">period1</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">(optional)
                          Trial subscription interval in days, weeks, months,
                          years (example: a four-day interval is &quot;period1:
                          4 D&quot;)</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">period2</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">(optional)
                          Trial subscription interval in days, weeks, months,
                          years</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">period3</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Regular
                          subscription interval in days, weeks, months, years</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">amount1</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Amount
                          of payment for trial period one for USD payments;
                          otherwise blank (optional)</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">amount2</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Amount
                          of payment for trial period two for USD payments;
                          otherwise blank (optional)</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">amount3</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Amount
                          of payment for regular subscription period for USD
                          payments; otherwise blank</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">mc_amount1</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Amount
                          of payment for trial period one, regardless of
                          currency (optional)</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">mc_amount2</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Amount
                          of payment for trial period two, regardless of
                          currency (optional)</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">mc_amount3</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Amount
                          of payment for regular subscription period, regardless
                          of currency</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff" rowSpan="5">mc_currency</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;USD&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">The
                          currency of the payment is US Dollars (non-payment
                          Instant Payment Notifications only).</td>
                      </tr>
                      <tr>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;GBP&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">The
                          currency of the subscription is Pounds Sterling
                          (non-payment Instant Payment Notifications only).</td>
                      </tr>
                      <tr>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;EUR&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">The
                          currency of the subscription is Euros (non-payment
                          Instant Payment Notifications only).</td>
                      </tr>
                      <tr>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;CAD&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">The
                          currency of the subscription is Canadian Dollars
                          (non-payment Instant Payment Notifications only).</td>
                      </tr>
                      <tr>
                        <td class="small" vAlign="top" bgColor="#ffffff">&quot;JPY&quot;</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">The
                          currency of the payment is Japanese Yen (non-payment
                          Instant Payment Notifications only).</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">recurring</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Indicates
                          whether regular rate recurs (1 is yes, left blank is
                          no).</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">reattempt</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Indicates
                          whether reattempts should occur upon payment failures
                          (1 is yes, left blank is no).</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">retry_at</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Date we
                          will retry failed subscription payment.</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">recur_times</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">How
                          many payment installments will occur at the regular
                          rate.</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">username</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">(optional)
                          Username generated by PayPal and given to subscriber
                          to access the subscription.</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">password</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">(optional)
                          Password generated by PayPal and given to subscriber
                          to access the subscription (password will be hashed).</td>
                      </tr>
                      <tr>
                        <td class="smallemphasis" vAlign="top" bgColor="#ffffff">subscr_id</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">Transaction-specific</td>
                        <td class="small" vAlign="top" bgColor="#ffffff">ID
                          generated by PayPal for the subscriber</td>
                      </tr>
                    </tbody>
                  </table>
                </td>
              </tr>
            </tbody>
          </table>
          <br>
          <br>
          <table cellPadding="1" align="center">
            <tbody>
              <tr>
                <td>The table below may help you better understand which Instant
                  Payment Notification variables are associated with each
                  transaction type.<br>
                  <br>
                  <table cellPadding="1" width="100%" align="center" bgColor="#aaaaaa">
                    <tbody>
                      <tr>
                        <td>
                          <table cellSpacing="1" cellPadding="6" width="100%">
                            <tbody>
                              <tr>
                                <td class="smallemphasis" vAlign="top" align="left" bgColor="#eeeeee">&nbsp;</td>
                                <td class="small" vAlign="top" align="middle" bgColor="#eeeeee" colSpan="7"><span class="emphasis">Subscription
                                  Transaction Type</span></td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" vAlign="top" align="left" width="16%" bgColor="#eeeeee">Variable</td>
                                <td class="smallemphasis" vAlign="top" align="middle" width="12%" bgColor="#eeeeee">Signup</td>
                                <td class="smallemphasis" vAlign="top" align="middle" width="12%" bgColor="#eeeeee">Cancel</td>
                                <td class="smallemphasis" vAlign="top" align="middle" width="12%" bgColor="#eeeeee">Modify</td>
                                <td class="smallemphasis" vAlign="top" align="middle" width="12%" bgColor="#eeeeee">Payment<br>
                                  (USD)</td>
                                <td class="smallemphasis" vAlign="top" align="middle" width="12%" bgColor="#eeeeee">Payment<br>
                                  (MC)</td>
                                <td class="smallemphasis" vAlign="top" align="middle" width="12%" bgColor="#eeeeee">Failed</td>
                                <td class="smallemphasis" vAlign="top" align="middle" width="12%" bgColor="#eeeeee">EOT</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" vAlign="top" align="left" bgColor="#cccccc" colSpan="8">Basic
                                  Information</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">business</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">receiver_email</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">receiver_id</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">item_name</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">item_number</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" vAlign="top" align="left" bgColor="#cccccc" colSpan="8">Advanced
                                  and Custom Information</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">invoice</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">custom</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">option_name1</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">option_selection1</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">option_name2</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">option_selection2</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" vAlign="top" align="left" bgColor="#cccccc" colSpan="8">Transaction
                                  Information</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">payment_status</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">pending_reason</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">reason_code</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">payment_date</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">txn_id</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">parent_txn_id</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">txn_type</td>
                                <td class="small" align="middle" bgColor="#ffffff">subscr_<br>
                                  signup</td>
                                <td class="small" align="middle" bgColor="#ffffff">subscr_<br>
                                  cancel</td>
                                <td class="small" align="middle" bgColor="#ffffff">subscr_<br>
                                  modify</td>
                                <td class="small" align="middle" bgColor="#ffffff" colSpan="2">subscr_payment</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" vAlign="top" align="left" bgColor="#cccccc" colSpan="8">Currency
                                  and Exchange Information</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">mc_gross</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">mc_fee</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">mc_currency</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">settle_amount</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">settle_currency</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">exchange_rate</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">payment_gross</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">payment_fee</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" vAlign="top" align="left" bgColor="#cccccc" colSpan="8">Buyer
                                  Information</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">first_name</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">last_name</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">payer_business_name</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">address_name</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">address_street</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">address_city</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">address_state</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">address_zip</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">address_country</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">address_status</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">payer_email</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">payer_id</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">payer_status</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">payment_type</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" vAlign="top" align="left" bgColor="#cccccc" colSpan="8">IPN
                                  Information</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">notify_version</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" vAlign="top" align="left" bgColor="#cccccc" colSpan="8">Security
                                  Information</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">verify_sign</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" vAlign="top" align="left" bgColor="#cccccc" colSpan="8">Subscription
                                  Information</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">subscr_date</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">subscr_effective</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">period1</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">period2</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">period3</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">amount1</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">amount2</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">amount3</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">mc_amount1</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">mc_amount2</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">mc_amount3</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">recurring</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">reattempt</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">retry_at</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">recur_times</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                                <td class="small" align="middle" bgColor="#ffffff">&nbsp;</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">username</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">password</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                              <tr>
                                <td class="smallemphasis" align="left" bgColor="#ffffff">subscr_id</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                                <td class="small" align="middle" bgColor="#ffffff">X</td>
                              </tr>
                            </tbody>
                          </table>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </td>
              </tr>
            </tbody>
          </table>

      </td>
    </tr>
  </tbody>
</table>
